## fonts-routed-gothic 1.0.0+git20210723.e22ee83+dfsg

=== Makefile ===
SOURCE =		src/routed-gothic-stroke-source.sfd
ZIP_FILE =		dist/routed-gothic-ttf.zip
TTF_FONTS =		dist/ttf/routed-gothic.ttf \
			dist/ttf/routed-gothic-half-italic.ttf \
			dist/ttf/routed-gothic-italic.ttf \
			dist/ttf/routed-gothic-narrow.ttf \
			dist/ttf/routed-gothic-narrow-half-italic.ttf \
			dist/ttf/routed-gothic-narrow-italic.ttf \
			dist/ttf/routed-gothic-wide.ttf \
			dist/ttf/routed-gothic-wide-half-italic.ttf \
			dist/ttf/routed-gothic-wide-italic.ttf
GLYPH_LIST =		includes/unicode-coverage.inc.html
GENERATE_SCRIPT =	bin/generate-fonts.py
GLYPH_LIST_SCRIPT =	bin/make-character-list

FONTS = $(TTF_FONTS)

.PHONY: default
default: ttf zip web

.PHONY: dist
dist: fonts zip

.PHONY: fonts
fonts: ttf

.PHONY: zip
zip: $(ZIP_FILE)

.PHONY: ttf
ttf: $(firstword $(TTF_FONTS))
# single command builds all fonts, only specify first one

###############################################################################

$(TTF_FONTS): $(SOURCE) Makefile $(GENERATE_SCRIPT)
	$(GENERATE_SCRIPT)

$(ZIP_FILE): $(TTF_FONTS) Makefile
	rm $@ || true
	cd dist && zip $(patsubst dist/%, %, $@) $(patsubst dist/%, %, $(TTF_FONTS))

.PHONY: clean
clean:
	find . -type f \( \
		-name '*.tmp' \
		-o -name '*.tmp.*' \
		-o -name '#*#' \
		-o -name '#~' \
	\) -exec rm {} +

.PHONY: superclean
superclean: clean
	find dist -type f -exec rm {} +

.PHONY: web
web: coverage sass

.PHONY: sass
sass:
	gulp sass

.PHONY: downloads
downloads:
	bin/make-downloads

publish:
	ssh dse@webonastick.com "bash -c 'cd /www/webonastick.com/htdocs/fonts/routed-gothic && git pull'"

.PHONY: coverage
coverage: $(GLYPH_LIST)
$(GLYPH_LIST): $(SOURCE) $(GLYPH_LIST_SCRIPT) Makefile
	$(GLYPH_LIST_SCRIPT) $< >$@.tmp
	mv $@.tmp $@

=== debian/changelog ===
fonts-routed-gothic (1.0.0+git20210723.e22ee83+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. 

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 13:05:16 -0400

fonts-routed-gothic (1.0.0+git20210723.e22ee83+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1004995)

 -- Agathe Porte <debian@microjoe.org>  Tue, 08 Feb 2022 15:19:50 +0100

=== debian/control ===
Source: fonts-routed-gothic
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://webonastick.com/fonts/routed-gothic/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-routed-gothic.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-routed-gothic
Rules-Requires-Root: no

Package: fonts-routed-gothic
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Clean vintage drafting, avionics, routed signage, and keyboard legend font
 A clean implementation of a common lettering style found on technical
 drawings, engraved office signs, computer and typewriter keyboards, and
 some comic books and avionics from the mid-20th century.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_build:
	# Do not build from source. See debian/README.source

=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none, pretty=1.0.0+git%cd.%h, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
 https://github.com/dse/routed-gothic \
 HEAD
